Bug 506754 - can't disable color
can't disable color
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 11:19 EDT by Zing
Modified: 2014-01-21 18:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 507883 (view as bug list)
Environment:
Last Closed: 2009-06-29 16:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2009-06-18 11:19:43 EDT
Description of problem:
I still see color when I use the option "--color=never" or set color=never in yum.conf

Version-Release number of selected component (if applicable):
yum-3.2.23-3.fc10

How reproducible:
always

Steps to Reproduce:
1. $ yum --color=never list 'e2fs*'
  
Actual results:
see colors

Expected results:
no colors

Additional info:
IMHO, no color should be the default.
Comment 1 James Antill 2009-06-18 11:43:38 EDT
 Here's the fix:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=86d3ee60e1d067cd3eeb1aff436502e638f66fdd

...you can change the default to no colour by setting "color=never" in your yum.conf.
Comment 2 Zing 2009-06-18 14:27:18 EDT
confirm patch worked. thanks.

i know i can set it in yum.conf and that's what i'll be doing.  I just think the default for color when unspecified should be "never"... but it's definitely your prerogative.  i know as a grumpy old cli user i'm in the minority.
Comment 3 seth vidal 2009-06-18 14:44:38 EDT
I know james will disagree but I'm inclined toward never being the default, too.

Note You need to log in before you can comment on or make changes to this bug.